Resources¶
Billing Resources are used to map products, prices, and phases, within a billing plan.
List All Resources¶
GET /api/admin/billing_plans/{billing_plan_id}/billing_resources
Schema
billing_resources: Arrayid: Integerbilling_plan_id: Integerexternal_id: Stringprorate: Booleanproduct_id: Integercreated_at: DateTimeupdated_at: DateTime
View Billing Resource¶
GET /api/admin/billing_plans/{billing_plan_id}/billing_resources/{id}
Schema
billing_resource: Objectid: Integerbilling_plan_id: Integerexternal_id: Stringprorate: Booleanproduct_id: Integercreated_at: DateTimeupdated_at: DateTime
Edit Billing Resource¶
PATCH /api/admin/billing_plans/{billing_plan_id}/billing_resources/{id}
Schema
billing_resource: Objectbilling_plan_id: Integerexternal_id: Stringproduct_id: Integerprorate: Boolean
Create Billing Resource¶
POST /api/admin/billing_plans/{billing_plan_id}/billing_resources
Schema
billing_resource: Objectexternal_id: Stringproduct_id: Integerprorate: Boolean
Delete Billing Resource¶
DELETE /api/admin/billing_plans/{billing_plan_id}/billing_resources/{id}